package com.ghy.system.service;

import com.ghy.system.domain.SysDeptConfig;

import java.util.List;

/**
 * @author clunt
 * 部门配置Service层
 */
public interface ISysDeptConfigService {

    /**
     * @param deptId 当前登陆用户的部门id
     * @return 部门配置
     */
    SysDeptConfig selectByDeptId(Long deptId);

    /**
     * 获取所有商户的配置
     */
    List<SysDeptConfig> selectAllMerchant();

    /**
     * 查询分公司配置
     *
     * @param sysDeptConfigId 分公司配置主键
     * @return 分公司配置
     */
    SysDeptConfig selectSysDeptConfigBySysDeptConfigId(Long sysDeptConfigId);

    /**
     * 查询分公司配置列表
     *
     * @param sysDeptConfig 分公司配置
     * @return 分公司配置集合
     */
    List<SysDeptConfig> selectSysDeptConfigList(SysDeptConfig sysDeptConfig);

    /**
     * 新增分公司配置
     *
     * @param sysDeptConfig 分公司配置
     * @return 结果
     */
    int insertSysDeptConfig(SysDeptConfig sysDeptConfig);

    /**
     * 修改分公司配置
     *
     * @param sysDeptConfig 分公司配置
     * @return 结果
     */
    int updateSysDeptConfig(SysDeptConfig sysDeptConfig);

    /**
     * 批量删除分公司配置
     *
     * @param sysDeptConfigIds 需要删除的分公司配置主键集合
     * @return 结果
     */
    int deleteSysDeptConfigBySysDeptConfigIds(String sysDeptConfigIds);

    /**
     * 删除分公司配置信息
     *
     * @param sysDeptConfigId 分公司配置主键
     * @return 结果
     */
    int deleteSysDeptConfigBySysDeptConfigId(Long sysDeptConfigId);

}
